Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pietschy.command
Class Defaults

    java.lang.Object
      com.pietschy.command.Defaults

    public class Defaults

extends java.lang.Object

Defines all the defaults for the GUI Command infrastructure. It can be accessed via `GuiCommands.defaults()`.

Constructor Summary
`Defaults()`

Method Summary
`java.lang.String[]` | `getAlternativeFaceContexts(java.lang.String context)` Gets the list of alternative face contexts to try if a face with the specfied context doesn't exits.
`AnnotationSupport` | `getAnnotationSupport()` Gets the `AnnotationSupport` instance used by the library.
`ButtonFactory` | `getButtonFactory()` Gets the default `ButtonFactory` used by the library.
`java.lang.ClassLoader` | `getClassLoader()` Gets the class loader used by the library.
`ConfigurationLoader` | `getConfigurationLoader()` Gets the `ConfigurationLoader`.
`FaceRenderer` | `getFaceRenderer()` Gets the `FaceRenderer` used by the library.
`GroupMemberFactory` | `getGroupMemberFactory()` Gets the `GroupMemberFactory` used by the library.
`GroupMemberParser` | `getGroupMemberParser()` Gets the `GroupMemberParser` used by the library.
`IconFactory` | `getIconFactory()` Gets the user defined `IconFactory` used to load custom icons.
`MenuFactory` | `getMenuFactory()` Gets the default `MenuFactory` used by the library.
`java.lang.String` | `getPopupContext(java.lang.String context)` Gets the appropriate context to use for popup menus of the specified context.
`ToolbarFactory` | `getToolbarFactory()` Gets the default `ToolbarFactory` used by the library.
`void` | `setAlternativeFaceContexts(java.lang.String face, java.lang.String... alternatives)` Sets the list of alternative face contexts to try if a face with the specfied context doesn't exits.
`void` | `setAnnotationSupport(AnnotationSupport annotationSupport)` Sets the `AnnotationSupport` instance used by the library.
`void` | `setButtonFactory(ButtonFactory buttonFactory)` Sets the default `ButtonFactory` to use.
`void` | `setClassLoader(java.lang.ClassLoader classLoader)` Sets the class loader used by the library.
`void` | `setConfigurationLoader(ConfigurationLoader configurationLoader)` Sets the `ConfigurationLoader` used by the library.
`void` | `setFaceRenderer(FaceRenderer faceRenderer)` Sets the `FaceRenderer` for the library to use.
`void` | `setGroupMemberFactory(GroupMemberFactory groupMemberFactory)` Sets the `GroupMemberFactory` used by the library.
`void` | `setGroupMemberParser(GroupMemberParser groupMemberParser)` Sets the `GroupMemberParser` to use.
`void` | `setIconFactory(IconFactory iconFactory)` Sets the user defined `IconFactory` used to load custom icons.
`void` | `setMenuFactory(MenuFactory menuFactory)` Sets the default `MenuFactory` to use.
`void` | `setPopupContext(java.lang.String context, java.lang.String popupContext)` Sets the face context to use for popups of buttons created with the specified popup.
`void` | `setToolbarFactory(ToolbarFactory toolbarFactory)` Sets the default `ToolbarFactory` to use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Defaults

    Defaults()

Method Detail

### getButtonFactory

    public ButtonFactory getButtonFactory()

  Gets the default `ButtonFactory` used by the library.

  Returns:
    the default `ButtonFactory` used by the library.

### setButtonFactory

    public void setButtonFactory(ButtonFactory buttonFactory)

  Sets the default `ButtonFactory` to use.

  Parameters:
    `buttonFactory` - the default `ButtonFactory` to use.

### getMenuFactory

    public MenuFactory getMenuFactory()

  Gets the default `MenuFactory` used by the library.

  Returns:
    the default `MenuFactory` used by the library.

### setMenuFactory

    public void setMenuFactory(MenuFactory menuFactory)

  Sets the default `MenuFactory` to use.

  Parameters:
    `menuFactory` - the default `MenuFactory` to use.

### getToolbarFactory

    public ToolbarFactory getToolbarFactory()

  Gets the default `ToolbarFactory` used by the library.

  Returns:
    the default `ToolbarFactory` used by the library.

### setToolbarFactory

    public void setToolbarFactory(ToolbarFactory toolbarFactory)

  Sets the default `ToolbarFactory` to use.

  Parameters:
    `toolbarFactory` - the default `ToolbarFactory` to use.

### getGroupMemberParser

    public GroupMemberParser getGroupMemberParser()

  Gets the `GroupMemberParser` used by the library.

  Returns:
    the `GroupMemberParser` used by the library.

### setGroupMemberParser

    public void setGroupMemberParser(GroupMemberParser groupMemberParser)

  Sets the `GroupMemberParser` to use.

  Parameters:
    `groupMemberParser` - the `GroupMemberParser` to use.

### getGroupMemberFactory

    public GroupMemberFactory getGroupMemberFactory()

  Gets the `GroupMemberFactory` used by the library.

  Returns:
    the `GroupMemberFactory` used by the library.

### setGroupMemberFactory

    public void setGroupMemberFactory(GroupMemberFactory groupMemberFactory)

  Sets the `GroupMemberFactory` used by the library.

  Parameters:
    `groupMemberFactory` - the `GroupMemberFactory` to use.

### getAlternativeFaceContexts

    public java.lang.String[] getAlternativeFaceContexts(java.lang.String context)

  Gets the list of alternative face contexts to try if a face with the specfied context doesn't exits. This is used during calls to `Command.findBestFace(String)`.

  Returns:
    the alternate face contexts to use if there's no face matching the specified context.
  See Also:
    `setAlternativeFaceContexts(String, String...)`

### setAlternativeFaceContexts

    public void setAlternativeFaceContexts(java.lang.String face,
                                           java.lang.String... alternatives)

  Sets the list of alternative face contexts to try if a face with the specfied context doesn't exits. This is used during calls to `Command.findBestFace(String)`.

  Parameters:
    `alternatives` - the alternate face contexts to use if there's no face matching the specified context.
  See Also:
    `getAlternativeFaceContexts(String)`

### getPopupContext

    public java.lang.String getPopupContext(java.lang.String context)

  Gets the appropriate context to use for popup menus of the specified context. A example would be a button created for a toolbar, in this case the main context is `Face.TOOLBAR` and the popup context is `Face.TOOLBAR_POPUP`.

  Parameters:
    `context` - the context of the main button.
  Returns:
    the context to use for a popup menu activated by the button.
  See Also:
    `setPopupContext(String, String)`

### setPopupContext

    public void setPopupContext(java.lang.String context,
                                java.lang.String popupContext)

  Sets the face context to use for popups of buttons created with the specified popup. A example would be a button created for a toolbar, in this case the main context is `Face.TOOLBAR` and the popup context is `Face.TOOLBAR_POPUP`.

  Parameters:
    `context` - the main context
    `popupContext` - the context of any popup created by buttons of the main context.

### getConfigurationLoader

    public ConfigurationLoader getConfigurationLoader()

  Gets the `ConfigurationLoader`.

  Returns:
    the `ConfigurationLoader`.

### setConfigurationLoader

    public void setConfigurationLoader(ConfigurationLoader configurationLoader)

  Sets the `ConfigurationLoader` used by the library.

  Parameters:
    `configurationLoader` - the `ConfigurationLoader` used by the library.

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Gets the class loader used by the library. This is typically used to load images from the classpath.

  The default value is the class loader that loaded this class.

  Returns:
    the class loader used by the library.

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

  Sets the class loader used by the library. This is typically used to load images from the classpath.

  The default value is the class loader that loaded this class.

  Parameters:
    `classLoader` - the class loader used by the library.

### getIconFactory

    public IconFactory getIconFactory()

  Gets the user defined `IconFactory` used to load custom icons.

  Returns:
    the `IconFactory` used to load custom icons.

### setIconFactory

    public void setIconFactory(IconFactory iconFactory)

  Sets the user defined `IconFactory` used to load custom icons.

  Parameters:
    `iconFactory` - the `IconFactory` used to load custom icons.

### getFaceRenderer

    public FaceRenderer getFaceRenderer()

  Gets the `FaceRenderer` used by the library. This is preconfigued to use `MacOSFaceRenderer` on the Mac and the `DefaultFaceRenderer` on all other platforms.

  Returns:
    the `FaceRenderer` used by the library.

### setFaceRenderer

    public void setFaceRenderer(FaceRenderer faceRenderer)

  Sets the `FaceRenderer` for the library to use.

  Parameters:
    `faceRenderer` - the `FaceRenderer` for the library to use.

### getAnnotationSupport

    public AnnotationSupport getAnnotationSupport()

  Gets the `AnnotationSupport` instance used by the library.

  Returns:
    the `AnnotationSupport` instance used by the library.

### setAnnotationSupport

    public void setAnnotationSupport(AnnotationSupport annotationSupport)

  Sets the `AnnotationSupport` instance used by the library.

  Parameters:
    `annotationSupport` - the `AnnotationSupport` instance used by the library.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 - 2007 Andrew Pietsch